%global pypi_name    py-gfm
%global package_name %(echo "%{pypi_name}" | tr '-' '_' | tr '[:upper:]' '[:lower:]')

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Version:        0.1.4
Release:        1%{?dist}
Summary:        An implementation of Github-Flavored Markdown written as an extension to the Python Markdown library

Group:          Development/Libraries
License:        BSD
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

Requires:       %{?scl_prefix}python%{python3_pkgversion}-markdown < 3.0
%{?scl:Requires: %{scl}-runtime}

%description
An implementation of Github-Flavored Markdown written as an extension to the
Python Markdown library.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-purelib %{python3_sitelib} \
  --install-data %{_datadir}
%{?scl:"}

# Ignore LICENSE file, included further down.
rm -fv %{buildroot}%{_datadir}/LICENSE

%files
%license LICENSE
%doc AUTHORS
%doc CHANGELOG.md
%doc README.rst
%{python3_sitelib}/gfm
%{python3_sitelib}/mdx_gfm
%{python3_sitelib}/mdx_partial_gfm
%{python3_sitelib}/%{package_name}-%{version}-py?.?.egg-info

%changelog
* Tue Dec 11 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 0.1.4-1
- Initial package.
